Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155409 - slab: Internal list corruption detected in cache 'avc_node'
Summary: slab: Internal list corruption detected in cache 'avc_node'
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: James Morris
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 06:40 UTC by Doug Henderson
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-22 01:59:11 UTC


Attachments (Terms of Use)
clipping from /var/log/messages (deleted)
2005-04-20 06:42 UTC, Doug Henderson
no flags Details
2.6.11-1.1251_FC4 log with slab error (deleted)
2005-04-21 01:16 UTC, Doug Henderson
no flags Details

Description Doug Henderson 2005-04-20 06:40:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
There was no response to Ctrl-Alt-F1 to switch from X session to text console.
It responded to ping from another box, then rebooted.

After reboot, log showed attached messages.

System is also experiencing periodic "slab corruption" errors and "Unable to handle kernel paging request" errors.


Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1240_FC4

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:

Comment 1 Doug Henderson 2005-04-20 06:42:38 UTC
Created attachment 113387 [details]
clipping from /var/log/messages

Comment 2 James Morris 2005-04-20 07:27:12 UTC
(In reply to comment #0)
> System is also experiencing periodic "slab corruption" errors and "Unable to
handle kernel paging request" errors.

Do you know if these appear related to SELinux too?  How often are you seeing
these, and when did they start?

Can you try running your system with the kernel boot parameter selinux=0 for a
while and see what happens?

Comment 3 Doug Henderson 2005-04-21 01:16:16 UTC
Created attachment 113452 [details]
2.6.11-1.1251_FC4 log with slab error

I don't know if this is related the original error I reported against build
1240.

Comment 4 Doug Henderson 2005-04-21 01:19:34 UTC
I rebooted once with the selinu=0 boot parameter.  There seemed to be no
significant difference from booting without that parameter.


Comment 5 James Morris 2005-04-21 03:08:21 UTC
I suspect you have a hardware problem, or are for some reason hitting a bug
deeper in the core kernel.

Comment 6 Doug Henderson 2005-04-22 01:59:11 UTC
Ran memtest86. Found errors. One of the 512M memory sticks was bad.

Comment 7 Doug Henderson 2005-04-28 06:29:23 UTC
My system has a Gigabyte K7 Triton GA-7N400-L motherboard, with two 512MB DDR400
sticks of memory. It ran Fedora Core 3 sucessfully from 2004-11 to 2005-04 when
I installed FC4test2. The memory was/is good. I replaced it with a pair of
consecutive serial numbered sticks. The memory tested good one stick at a time
but memtest86 failed on test#5 with two sticks in a dual channel configuration.
It suceeded with the memory in single channel mode.
It appears that FC4test2 contains code which tends to trigger the problem
detected by memtest86's test#5.

Comment 8 Dave Jones 2005-04-29 01:03:39 UTC
in dual channel mode, the theoretical bandwidth across the memory bus increases.
Linux will use as much as the system has, so there's no particular code which
could explain this.

If you bought them as dual-channel capable DIMMs I'd talk to your hardware vendor.
The fact that memtest fails is conclusive that its a hardware fault. It does
nothing but walk through memory flipping bits and reading them back.



Note You need to log in before you can comment on or make changes to this bug.